Bug 1269263 - Exaile crashes on startup
Exaile crashes on startup
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 16:10 EDT by Giulio 'juliuxpigface'
Modified: 2016-12-20 09:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:53:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-10-06 16:10:09 EDT
Description of problem:
Exaile crashes on startup. Clicking on the launcher does nothing, while launching it from terminal results in a Python crash.

$ exaile 
INFO    : Loading Exaile 3.4.5 on Python 2.7.10...
INFO    : Loading settings...
INFO    : Using it_IT UTF-8 locale
Traceback (most recent call last):
  File "/usr/share/exaile/exaile.py", line 85, in <module>
    main()
  File "/usr/share/exaile/exaile.py", line 82, in main
    exaile = main.Exaile()
  File "/usr/share/exaile/xl/main.py", line 168, in __init__
    self.__init()
  File "/usr/share/exaile/xl/main.py", line 221, in __init
    from xlgui.widgets.info import Splash
  File "/usr/share/exaile/xlgui/__init__.py", line 64, in <module>
    from xl import (
  File "/usr/share/exaile/xl/player/__init__.py", line 70, in <module>
    PLAYER = get_player('player')
  File "/usr/share/exaile/xl/player/__init__.py", line 54, in get_player
    from xl.player.engine_normal import NormalPlayer
  File "/usr/share/exaile/xl/player/engine_normal.py", line 35, in <module>
    import gst
  File "/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py", line 193, in <module>
    from _gst import *
ImportError: /usr/lib64/python2.7/site-packages/gst-0.10/gst/_gst.so: undefined symbol: libxml_xmlDocPtrWrap


Version-Release number of selected component (if applicable):
exaile-3.4.5-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Launch exaile

Actual results:
Exaile doesn't run

Expected results:
Exaile should run

Additional info:
It looks like a missing dependency nor a change in the library "gst".
Comment 1 Kristjan Kullerkann 2015-10-09 02:51:02 EDT
Hello

Similar issue with gajim.


Launching from console

$ gajim
ImportError: could not import gst


Importing module in python console

$ python
Python 2.7.10 (default, Sep  8 2015, 17:20:17) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gst
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/gst-0.10/gst/__init__.py", line 193, in <module>
    from _gst import *
ImportError: /usr/lib64/python2.7/site-packages/gst-0.10/gst/_gst.so: undefined symbol: libxml_xmlDocPtrWrap


Installed python-libxml2 (missing dependency as noted earlier).


Python console gives following message

$ python
Python 2.7.10 (default, Sep  8 2015, 17:20:17) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gst
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Comment 2 Kristjan Kullerkann 2015-10-09 03:17:19 EDT
After deleting ~/.gstreamer-0.10/ I get more info on import message

$ python
Python 2.7.10 (default, Sep  8 2015, 17:20:17) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gst

(gst-plugin-scanner:3817): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpython.so': /usr/lib64/gstreamer-0.10/libgstpython.so: undefined symbol: PyList_Insert
** Message: pygobject_register_sinkfunc is deprecated (GstObject)

Is it a upstream bug?
Comment 3 Christopher Meng 2015-10-09 10:42:45 EDT
Weird.

[I can't access Linux now, need to wait for few days]

From the report the crux is

> Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpython.so': /usr/lib64/gstreamer-0.10/libgstpython.so: undefined symbol: PyList_Insert

It's something inside gst python binding but not exaile...
Comment 4 Fedora Admin XMLRPC Client 2016-02-26 12:43:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2016-02-26 13:06:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-11-24 07:42:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 09:53:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.